KHolidays: Convert license statements to SPDX expressions
ClosedPublic

Authored by cordlandwehr on Feb 13 2020, 11:32 AM.

Details

Summary

Convert license statements to SPDX markers and
add license files as required by REUSE specification.

Diff Detail

Repository
R175 KHolidays
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cordlandwehr created this revision.Feb 13 2020, 11:32 AM
Restricted Application added a project: Frameworks. · View Herald TranscriptFeb 13 2020, 11:32 AM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
cordlandwehr requested review of this revision.Feb 13 2020, 11:32 AM
cgiboudeaux added inline comments.
src/holidayregion.cpp
30

I don't think it should be changed here

src/lunarphase.cpp
6

This looks suspicious

@winterz ?

src/parsers/plan2/holidayparserdriverplan.cpp
5–19

The original text lacks clarity. Are these file contributors or copyright holders? @winterz

21

why is "by" needed here?

src/parsers/plan2/holidayparserplan.ypp
3–10

same question for this file

src/parsers/plan2/holidayscannerplan.cpp
1297–1302

and these lines were not updated

src/parsers/qcalendarsystem.cpp
831–832

also looks wrong

Clarified several statements

  • Recovered origin of weekNumber method and its original license
  • Unified verbose license statements
  • Clarified snippet licensing
cordlandwehr marked 5 inline comments as done.Feb 15 2020, 9:54 AM

Updated several statements, but still need clarification if named people are copyright holders or contributors without copyright claim.

src/parsers/plan2/holidayscannerplan.cpp
1297–1302

@winterz same question here as above: are these people copyright holders or file contributors?

src/parsers/qcalendarsystem.cpp
831–832

I did them intense code-digging and found the source of this snippet

cordlandwehr marked 2 inline comments as done.

Make snippet copyright statement more verbose

looks ok to me.

src/lunarphase.cpp
6

no, it's fine.

cordlandwehr marked 2 inline comments as done.

Add missing SPDX identifier

cordlandwehr marked 3 inline comments as done.Feb 22 2020, 11:13 AM

Did additional code digging in the Plan repository and I think that all stated copyright claims are valid.

src/parsers/plan2/holidayparserdriverplan.cpp
5–19

the original code comes from Plan's holiday.c

  • original author has obvious claim, since important code fragments remain
  • additional code contributors are listed in original source for contribution specific functions each, thus have also a valid copyright claim
src/parsers/plan2/holidayparserplan.ypp
3–10

analyzed code history:

  • original file comes from Plan's parser.y by Thomas Driemeyer
  • IMO the changes for integrating into KOrganizer are above the limit of copyright, so I would (in case of doubt) prefer to state copyright explicitly
  • the individual conversion commits are unfortunately buried deep in the disabled Reviewboard
src/parsers/plan2/holidayscannerplan.cpp
1297–1302

this copyright statement comes from the .lpp file; thus to be discussed in that statement

src/parsers/plan2/holidayscannerplan.lpp
2–3

analyzed the code history of this file:

  • original copyright claim comes from Plan's parser.lex file
  • the code was massively changed and rewritten, thus IMO all three additional claims to the original author are valid IMO.
cordlandwehr marked 2 inline comments as done.Feb 22 2020, 11:13 AM
winterz accepted this revision.Feb 25 2020, 11:08 PM
This revision is now accepted and ready to land.Feb 25 2020, 11:08 PM
This revision was automatically updated to reflect the committed changes.